import { BaseFeatureForProject } from './base-feature-for-project';
import type { BaseProject } from './base-project';
/**
 * Easy way to create github pages
 * (or similar static site hosting)
 */
export declare class BaseStaticPages<PROJECT extends BaseProject = any> extends BaseFeatureForProject<PROJECT> {
    readonly TMP_STATIC_PAGE_SITE_REPOS = "tmp-static-pages-sites-repos";
    protected cleanFolderForStaticPages(pathToBranchRepoFolder: string): Promise<void>;
    protected get mainFolder(): any;
    get mainFolderAbsPath(): string;
    get pagesBranchName(): string;
    init(mainFolder: string, completeProcess?: boolean): Promise<void>;
}
